This discussion is archived
5 Replies Latest reply: Jun 26, 2013 6:28 AM by Akanksha Sheoran Kaler RSS

Silent install EM 12c BP1 with many plugins

Jing Newbie
Currently Being Moderated

Hi,

 

I want to silent install enterprise manager cloud control 12c BP1 with many plugins in linux64 , there are commands with parameters like

./runInstaller  -silent -responseFile $INS_DIST/response/new_install.rsp UNIX_GROUP_NAME=oinstall INVENTORY_LOCATION=$ORA_BASE/oraInventory ........

PLUGIN_SELECTION={"oracle.em.secl","oracle.em.secs","oracle.em.sesy","oracle.em.soee","oracle.em.sidb"}

 

Parameter PLUGIN_SELECTION is used for plugin selection. I am sure that these values are correct and parameter usage is also correct, I follow the usage example in new_install.rsp.  But after installation, I check the plugin page in EMCC, only install one or two plugin, and sometimes not the plugin I specified in parameter PLUGIN_SELECTION. Very strange.

 

Does some one know why? need help~~~

 

 

Thanks,

Jing

  • 1. Re: Silent install EM 12c BP1 with many plugins
    Akanksha Sheoran Kaler Pro
    Currently Being Moderated

    Hi Jing,

     

    I suggest that you install latest em 12.1.0.2 and nor 12.1.0.1 with BP1.  Is there any specific reason you want to install 12.1.0.1 with bp1 ?

     

    Invoke the installer:

    ./runInstaller -silent -responseFile <absolute_path>/new_install.rsp -pluginLocation <absolute_path_to_plugin_software_location>

     

    and then in rsp file mention this PLUGIN_SELECTION={"oracle.sysman.empa","oracle.sysman.vt"}

    By default, mandatory plug-ins such as Oracle Database Management Plug-in, Oracle Fusion Middleware Management Plug-in, Oracle My Oracle Support Management Plug-in, and Oracle Exadata Management Plug-in get automatically installed with the Enterprise Manager system.

    However, if you want to install any of the other optional plug-ins that are available in the software kit (DVD or downloaded software), then enter the names of those plug-ins for this variable.

     

    If you have default binaries that you downloaded from OTN with name - em 12.1.0.1 with bp1 then you dont have to pass this parameter , this parameter is more applicable for the users who have em 12.1.0.1 without bp1..

  • 2. Re: Silent install EM 12c BP1 with many plugins
    Jing Newbie
    Currently Being Moderated

    Hi Akanksha,

     

    Thanks for your reply. Because we do some upgrade testing from EM12.1.0.1(with BP1) + some optional plugins to EM12.1.0.2. So want to use silent advanced installation for EM12.1.0.1 + some optional plugins.

     

    For paramter -pluginLocation <absolute_path_to_plugin_software_location>, if I want to install many optional plug-ins during silent, how to specify the path? Could you give me an example? For example

    ./runInstaller -silent -responseFile <absolute_path>/new_install.rsp -pluginLocation <absolute_path>/plugins/12.1.0.5.0_oracle.sysman.vt_2000_0.opar   12.1.0.6.0_oracle.sysman.ssa_2000_0.opar

    and If use parameter PLUGIN_SELECTION, enter the names of those plug-ins for this variable.For example PLUGIN_SELECTION={"oracle.sysman.empa","oracle.sysman.vt"}, but it don't effective. After installation finished, don't install these two plugins.

    So If Parameter -pluginLocation can take effective, I want to use this parameter. or need to use the two paramters (pluginLocation and PLUGIN_SELECTION) at the same time?

  • 3. Re: Silent install EM 12c BP1 with many plugins
    Akanksha Sheoran Kaler Pro
    Currently Being Moderated

    -pluginLocation allows you to install additional new plugins that are not bundled with the EM binaries or were released/updated post EM release

     

     

     

    PLUGIN_SELECTION option in rsp file is used for the installer UI (advance install) where you can pick and choose which plugins you want to deploy in EM, all these plugins listed in the ui are present in Disk1/plugin folder.

     

     

     

    In short you need to use both the parameters, as only few plugins are updated post EM release.

     

     

    Let me explain you another case with an example: If em 12.1.0.1 with bp1 have db plugin version 12.1.0.1, post release we updated the db plugin to version 12.1.0.2. In this case while installing EM silently, you need to first download db 12.1.0.2 plugin from OTN and pass this parameter- -pluginLocation so that EM can pick this plugin. In case in rsp file if you happen to provide PLUGIN_SELECTION={"12.1.0.1.0_oracle.sysman.db"} then we installer will always install the latest/highest version of plugin.

    In short when both the parameters are used, installer will pick the latest version.

     

     

     

     

     

    Example you asked- ./runInstaller -silent -responseFile <absolute_path>/new_install.rsp -pluginLocation <absolute_path>/plugins/12.1.0.5.0_oracle.sysman.vt_2000_0.opar

     

     

    In your command the pluginLocation <absolute_path>/plugins/12.1.0.5.0_oracle.sysman.vt_2000_0.opar  is incorrect

  • 4. Re: Silent install EM 12c BP1 with many plugins
    Jing Newbie
    Currently Being Moderated

    Hi Akanksha,

       I try to use two parameters, But not sure how to specify multiple values for these two parameters in one command. for example I want to install three optional plugins, for example oracle Beacon, oracle Virtualization, oracle Cloud application.

      For parameter -pluginLocation, if need to specify three values for this parameter, how to specify???

      For parameter  PLUGIN_SELECTION,  from new_install.rsp examples, we can see multiple values for this parameter, PLUGIN_SELECTION={"oracle.sysman.vt","oracle.sysman.ssa"} 

     

    Is the following ok?

    ./runInstaller -silent -responseFile <absolute_path>/new_install.rsp -pluginLocation  {<absolute_path>/plugins/12.1.0.3.0_oracle.sysman.vt_2000_0.opar;<absolute_path>/plugins/12.1.0.4.0_oracle.sysman.ssa_2000_0.opar;12.1.0.2.0_oracle.sysman.beacon_2000_0.opar}

    ............. PLUGIN_SELECTION={"oracle.sysman.vt","oracle.sysman.ssa","oracle.sysman.beacon"}

  • 5. Re: Silent install EM 12c BP1 with many plugins
    Akanksha Sheoran Kaler Pro
    Currently Being Moderated

    PLUGIN_SELECTION={"oracle.sysman.empa","oracle.sysman.vt"} is correct

    {<absolute_path>/plugins/12.1.0.3.0_oracle.sysman.vt_2000_0.opar;<absolute_path> is incorrect. It should point to an dir with all the plugins

    Can you open an Sr with support they will have web conf with you and make sure you are using he right command

Legend

  • Correct Answers - 10 points
  • Helpful Answers - 5 points